Bug 1653853 - Cursor disappears after gvim window vertical split
Summary: Cursor disappears after gvim window vertical split
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-27 18:24 UTC by charles harris
Modified: 2019-11-27 22:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 22:37:04 UTC
Type: Bug


Attachments (Terms of Use)

Description charles harris 2018-11-27 18:24:21 UTC
Description of problem:

Vertically splitting a gvim window results in cursor disappearance. The mouse is still shown, but the keyboard cursor is gone, and remains gone after that.

Version-Release number of selected component (if applicable):

VIM - Vi IMproved 8.1 (2018 May 18, compiled Nov 16 2018 12:16:27)
Included patches: 1-527

How reproducible:

Always


Steps to Reproduce:
1.Open file in gvim
2.Use interface to split window vertically
3.

Actual results:

Cursor disappears

Expected results:

Cursor doesn't disappear.



Additional info:

Comment 1 Zdenek Dohnal 2018-11-28 08:53:54 UTC
Hi Charles,

there is new version of Vim in the updates testing, would you mind checking it if it helps?

Comment 2 charles harris 2018-11-28 13:55:07 UTC
Does not fix the problem

VIM - Vi IMproved 8.1 (2018 May 18, compiled Nov 27 2018 11:41:09)
Included patches: 1-549

Comment 3 Zdenek Dohnal 2018-11-28 14:39:08 UTC
Can you reproduce the issue when you run gvim as:

$ gvim -u NONE -U NONE -N -i NONE

?

Comment 4 charles harris 2018-11-28 16:34:54 UTC
The cursor is back, but the theme is gone

Comment 5 Zdenek Dohnal 2018-11-28 16:52:27 UTC
It is expected - this way we can check if the error is in Vim itself or in used scripts - a plugin/viminfo/vimrc/gvimrc files. The answer is - there is a problem in used scripts or your setup.

You can check:
http://vimhelp.appspot.com/vim_faq.txt.html#faq-2.5

Would you mind investigating the issue according the link and share the results?

Comment 6 charles harris 2019-05-25 20:51:17 UTC
I was able to fix this by changing the number of lines in my .vimrc file. I had lines set to 59 to get full screen, changing it to 49 fixed the problem. This is with Fedora 30, which seems to have the testing version you previously suggested. I'm not sure what changed in between vim versions, the 59 used to work...

Comment 7 charles harris 2019-05-25 21:28:40 UTC
Oops, that only worked for opening two files on startup with `-O`. With a single file and splitting the screen manually, lines set in .vimrc needs to be 42, using 43 lines (which is not full screen), shows me 49 numbered lines and the cursor problem. I can set the lines manually once gvim is running and things work fine, so there seems to be something wrong with the way setting lines in the .vimrc is handled. Also, starting with fewer lines, then maximizing followed by vertical splitting causes a problem, but vertical splitting followed by maximizing works.

Hopes this helps :)

Comment 8 Ben Cotton 2019-10-31 19:15:12 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-11-27 22:37:04 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.